Name:		flowblade
Version:	0.16.0
Release:	%mkrel 1

License:	GPLv3
Summary: Multitrack non-linear video editor for Linux
URL: https://code.google.com/p/flowblade/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Group:		Video
Source0:	https://flowblade.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
Requires:	ffmpeg 
Requires:	pygtk2.0
Requires:	ladspa 
Requires:	sox 
Requires:	frei0r-plugins >= 1.4
Requires:	gnome-python-gnomevfs 
Requires:	gnome-python
Requires:	python-numpy 
Requires:	python-pillow
Requires:	python-cairo
Requires:	python-dbus
Requires:	mlt
Requires:	python-mlt
Requires:	%{_lib}cairomm1.0_1
Requires:   	swh-plugins
Requires:	librsvg


%description
Flowblade Movie Editor is a multitrack non-linear video editor for Linux
Flowblade is designed to provide a fast, precise and robust editing experience. 

In Flowblade clips are usually automatically placed tightly after or 
between clips when they are inserted on the timeline. Edits are fine 
tuned by trimming in and out points of clips, or by cutting and deleting 
parts of clips.



%prep
%setup -q -n %{name}-%{version}

#avoid message 'small screen'
sed -i s/1151/1024/g %{_builddir}/%{name}-%{version}/Flowblade/app.py

%build
%{__python} setup.py build 

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Flowblade Movie Editor
Name[en_US]=Flowblade Movie Editor
GenericName=Movie Editor
Comment=Edit media to create movies
Exec=flowblade %f
Terminal=false
Type=Application
Icon=flowblade
Categories=GTK;AudioVideo;AudioVideoEditing;Video;X-MandrivaLinux-Multimedia-video;
MimeType=application/vnd.flowblade-project;
EOF

# patch flowblade launch script with proper python path 
sed -i "s_/usr/share/pyshared/_%{py_sitedir}/_g" "$RPM_BUILD_ROOT"/usr/bin/flowblade

convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/flowblade
%{_datadir}/applications/flowblade.desktop
%{_mandir}/man1/flowblade.1*
%{_datadir}/pixmaps/flowblade.png
%{_datadir}/mime/packages/flowblade.xml
%{py_sitedir}/Flowblade/
%{py_sitedir}/flowblade-*.egg-info
/usr/lib/mime/packages/flowblade


%changelog
* Sat Feb 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.0-1pclos2015
- 0.16.0
- don't mark this as noarch does not really work if you have a Requires with lib macro
- add missing R python-dbus

* Wed Jan 29 2014 Ken <lxgator at gmail.com> 0.12.0-1pclos2014
- Initial pkg

